library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;

entity tbmem is
end tbmem;

architecture tbbmem of tbmem is

component memblocco is
port( rst,clk,nw,rw: in std_logic;
      datain: in std_logic_vector(15 downto 0);
      dataout: out std_logic_vector(15 downto 0);
      ready: out std_logic );
end component;

signal rst,clk,nw,rw:  std_logic;
signal datain:  std_logic_vector(15 downto 0);
signal dataout:  std_logic_vector(15 downto 0);
signal      ready:  std_logic;

begin
 dut: memblocco port map  (rst,clk,nw,rw,datain,dataout,ready);
 
 process
 begin
   clk <= '0';
   wait for 5 ns;
   clk <= '1';
   wait for 5 ns;
  end process;
  
  
 rst <= '1' after 0 ns, '0' after 10 ns;
 nw<= '0' after 0 ns, '1' after 1 ns, '0' after 11 ns,'1' after 100 ns, '0' after 110 ns,'1' after 180 ns, '0' after 190 ns  ;
 rw <= '0' after 0 ns, '1' after 100 ns;
 
 datain <= conv_std_logic_vector(4,16) after 0 ns,
 	   conv_std_logic_vector(2,16) after 21 ns,
 	   conv_std_logic_vector(1,16) after 31 ns,
 	   conv_std_logic_vector(5,16) after 41 ns,
 	   conv_std_logic_vector(10,16) after 51 ns,
 	   conv_std_logic_vector(25,16) after 61 ns,
 	   conv_std_logic_vector(4,16) after 101 ns,
 	   conv_std_logic_vector(2,16) after 111 ns;
 end tbbmem;
 
